Finalize payment receipt
curl --request GET \
--url https://api.piriod.com/payment-receipts/{id}/finalize/ \
--header 'Authorization: <api-key>' \
--header 'x-simple-workspace: <x-simple-workspace>'import requests
url = "https://api.piriod.com/payment-receipts/{id}/finalize/"
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-simple-workspace': '<x-simple-workspace>', Authorization: '<api-key>'}
};
fetch('https://api.piriod.com/payment-receipts/{id}/finalize/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sources": [
"<string>"
],
"id": 123,
"document": "MX22",
"number": 123,
"date": "2023-12-25",
"custom_change": 2,
"metadata": {},
"tax_settings": {},
"status": "draft",
"biller_status": "<string>",
"tax_agency": {},
"local_file": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}{
"name": [
"This field is required."
],
"non_field_errors": [
"x-simple-workspace header is required."
]
}Payment receipts
Finalize payment receipt
GET
/
payment-receipts
/
{id}
/
finalize
/
Finalize payment receipt
Authorizations
Use header Authorization: Token <api_token>.
API tokens are obtained from the Piriod dashboard.
Headers
Workspace (account) identifier. Required for every request.
Whether to operate against test-mode data. Defaults to false.
Path Parameters
Resource identifier.
Response
Finalized payment receipt.
A fiscal payment receipt (e.g. Mexican REP / "complemento de pago"). It groups one or more payment sources that completed payment of an invoice.
IDs of payment sources covered by this receipt. All sources must belong to invoices for the same customer and document type, and cannot already have a payment receipt.
Fiscal document type (set automatically by the biller).
Available options:
MX22 Custom currency conversion factor.
Required range:
x >= 1Country-specific tax-agency settings (validated at create/update).
Available options:
draft, finalized 